__author__ = 'michel'

import os


class AuraMailer():

    def __init__(self, admin_mails, from_mail):
        self.admin_mails = admin_mails
        self.from_mail = from_mail

    def send_admin_mail(self, subject, body):
        admin_mails = self.admin_mails.split()

        for mail_to in admin_mails:
            self.__send(mail_to, subject, body)

    def __send(self, mail_to, subject, body):
        sendmail_location = "/usr/sbin/sendmail"
        p = os.popen("%s -t" % sendmail_location, "w")
        p.write("From: %s\n" % self.from_mail)
        p.write("To: %s\n" % mail_to)
        p.write("Subject: " + subject + "\n")
        p.write("\n") # blank line separating headers from body
        p.write(body)
        status = p.close()
        return status
